//
// C++ Implementation: addcreddlgimpl
//
// Description: 
//
//
// Author: peter komar <peter@linux-nlyt>, (C) 2008
//
// Copyright: See COPYING file that comes with this distribution
//
//
#include "addcreddlgimpl.h"

#include <QMessageBox>

AddCredDlgImpl::AddCredDlgImpl(QWidget *parent)
 : QDialog(parent), Ui::AddCredDlg()
{
	setupUi(this);
	
	b_Ex=false;
	//QDateTimeEdit *dateEdit = new QDateTimeEdit(QDate::currentDate());
	dateTimeEdit->setMinimumDate(QDate::currentDate().addDays(-365));
	dateTimeEdit->setMaximumDate(QDate::currentDate().addDays(365));
	
	dateTimeEdit->setMinimumTime(QTime::currentTime().addMSecs(70));
	dateTimeEdit->setMaximumTime(QTime::currentTime().addMSecs(70));
	
	dateTimeEdit->setDateTime(QDateTime::currentDateTime());
	
	dateTimeEdit->setDisplayFormat("dd-ddd MM-MMM yyyy hh:mm");
	
	connect(okBtn, SIGNAL(clicked()), this, SLOT(slot_ok()));
	connect(canBtn, SIGNAL(clicked()), this, SLOT(slot_cancel()));
	
	count_cr->setValidator(new QIntValidator(count_cr));
}


AddCredDlgImpl::~AddCredDlgImpl()
{
}




/*!
    \fn AddCredDlgImpl::is_exit()
 */
bool AddCredDlgImpl::is_exit()
{
    return b_Ex;
}


/*!
    \fn AddCredDlgImpl::slot_ok()
 */
void AddCredDlgImpl::slot_ok()
{
    QString s = count_cr->text();
    
    if(s.isEmpty())
    {
	QMessageBox::information(this,tr("info"),tr("Please enter count credit"));
	return;
    }
    
    s = name_debtor_e->text();
    if(s.isEmpty())
    {
	    QMessageBox::information(this,tr("info"),tr("Please enter name debtor"));
	    return;
    }
    accept();
}


/*!
    \fn AddCredDlgImpl::slot_cancel()
 */
void AddCredDlgImpl::slot_cancel()
{
	b_Ex = true;
	
	reject();
}


/*!
    \fn AddCredDlgImpl::set_info_data(const Db_dat& data)
 */
void AddCredDlgImpl::set_info_data()
{
	//dateTimeEdit->setReadOnly(TRUE);
	dateTimeEdit->setVisible(FALSE);
	name_debtor_e->setReadOnly(TRUE);
	count_cr->setReadOnly(TRUE);
	textEdit->setDisabled(TRUE);
	okBtn->setVisible(FALSE);
	canBtn->setText("Ok");
	
	setWindowTitle(tr("Info Debtor"));
}
