//
// C++ Implementation: dockwidg
//
// Description: 
//
//
// Author: peter komar <peter@linux-nlyt>, (C) 2008
//
// Copyright: See COPYING file that comes with this distribution
//
//
#include "dockwidg.h"
#include "fdatabase.h"

#include <QtGui>
#include <QList>

DockWidg::DockWidg(QWidget *parent)
 : QWidget(parent), Ui::creditFrm()
{
	setupUi(this);
	
	QStringList labels;
	labels << tr("Name creditors") << tr("Count credit") << tr("Date"); 
	listCred->setHeaderLabels(labels);
	QHeaderView *h = listCred->header();
        //h->setResizeMode(QHeaderView::ResizeToContents);
	h->setMovable(FALSE);
        
	//h->setResizeMode(0, QHeaderView::Fixed);
	//h->setResizeMode(6, QHeaderView::Stretch);
	//h->setResizeMode(7, QHeaderView::Fixed);
        
	listCred->setDragEnabled(FALSE);
	listCred->setSelectionMode(QAbstractItemView::ExtendedSelection);
	
	load_data();
	
}


DockWidg::~DockWidg()
{
}




/*!
    \fn DockWidg::load_data()
 */
void DockWidg::load_data()
{
	listCred->clear();
	
	QList<Db_dat> list = load_data_from_creditors();
	
	QTreeWidgetItem *item;
	
	for (int i = 0; i < list.size(); ++i) {
		
		Db_dat dat = list.at(i);
		
		item = new QTreeWidgetItem();
		
		item->setText(2,dat.date);
		
		QString s;
		s = s.number(dat.count_d);
		item->setText(1,s);
		
		item->setText(0,dat.Name);
		
		listCred->addTopLevelItem(item);
	}
}
