#include "misc.h"
#include <QSqlDatabase>
#include <QSqlQuery>
#include <QMessageBox>
#include <QDebug>

//
bool connectDB(QString const& dbName)
{
	QSqlDatabase database;
	
	if( QSqlDatabase::database().databaseName() != dbName )
	{
		database = QSqlDatabase::addDatabase("QSQLITE");
		database.setDatabaseName(dbName);
	}
	else
	{
		database = QSqlDatabase::database();
		if ( database.isOpen() )
			return true;
	}
	//
    if (!database.open()) {
        QMessageBox::critical(0, "QFinances",
            QObject::tr("Unable to establish a database connection.")+"\n"+
                     QObject::tr("QFinances needs SQLite support. Please read "
                     "the Qt SQL driver documentation for information how "
                     "to build it."), QMessageBox::Cancel,
                     QMessageBox::NoButton);
        return false;
    }
	else
	{
		QSqlQuery query;
		QString queryString = "create table operation ("
		    "date_s varchar,"
		    "type_op varchar,"
		    "count int,"
		    "description mediumtext"
		    //"kind string"
		    ")";
		
		query.exec(queryString);
		queryString = "create table creditors ("
			"date_c varchar,"
			"name_c varchar,"
			"count int,"
			"description mediumtext"
		    ")";
		query.exec(queryString);
		//
		
		queryString = "create table bank ("
				"count_c int"
				")";
		query.exec(queryString);
        }
    return true;
}
//
