//
// C++ Implementation: newopdlgimpl
//
// Description: 
//
//
// Author: peter komar <peter@linux-nlyt>, (C) 2008
//
// Copyright: See COPYING file that comes with this distribution
//
//
#include "newopdlgimpl.h"
#include <QMessageBox>

NewOpDlgImpl::NewOpDlgImpl(QDialog *parent)
	: QDialog(parent), Ui::NewopDlg()
{
	setupUi(this);
	
	dateTimeEdit->setMinimumDate(QDate::currentDate().addDays(-365));
	dateTimeEdit->setMaximumDate(QDate::currentDate().addDays(365));
	
	dateTimeEdit->setMinimumTime(QTime::currentTime().addMSecs(70));
	dateTimeEdit->setMaximumTime(QTime::currentTime().addMSecs(70));
	
	dateTimeEdit->setDateTime(QDateTime::currentDateTime());
	
	dateTimeEdit->setDisplayFormat("dd-ddd MM-MMM yyyy hh:mm");
	
	connect(okBtn, SIGNAL(clicked()), this, SLOT(slot_bAdd()));
	connect(cancelBtn, SIGNAL(clicked()), this, SLOT(slot_exit()));
	
	lineEdit->setValidator(new QIntValidator(lineEdit));
	
	b_Ex=false;
}


NewOpDlgImpl::~NewOpDlgImpl()
{
}




/*!
    \fn NewOpDlgImpl::slot_bAdd(int )
 */
void NewOpDlgImpl::slot_bAdd()
{
	if(radioButton->isChecked())
		bAdd=1;
	else
		bAdd=0;
	
	QString s = lineEdit->text();
    
	if(s.isEmpty())
	{
		QMessageBox::information(this,tr("info"),tr("Please enter count cash"));
		return;
	}
    	
	accept();
}


/*!
    \fn NewOpDlgImpl::get_bAdd()
 */
bool NewOpDlgImpl::get_bAdd()
{
    if(bAdd>=1)
	    return true;
    else
	return false;
}


/*!
    \fn NewOpDlgImpl::slot_exit()
 */
void NewOpDlgImpl::slot_exit()
{
	b_Ex=true;
	
	reject();
}
